import request from '@/config/axios'

// 质量管理-检验类型 VO
export interface ZjTypeVO {
  id: number // ID
  code: string // 编码
  name: string // 名称
  remark: string // 备注
}

// 质量管理-检验类型 API
export const ZjTypeApi = {
  // 查询质量管理-检验类型分页
  getZjTypePage: async (params: any) => {
    return await request.get({ url: `/mes/zj-type/page`, params })
  },

  // 查询质量管理-检验类型详情
  getZjType: async (id: number) => {
    return await request.get({ url: `/mes/zj-type/get?id=` + id })
  },

  // 新增质量管理-检验类型
  createZjType: async (data: ZjTypeVO) => {
    return await request.post({ url: `/mes/zj-type/create`, data })
  },

  // 修改质量管理-检验类型
  updateZjType: async (data: ZjTypeVO) => {
    return await request.put({ url: `/mes/zj-type/update`, data })
  },

  // 删除质量管理-检验类型
  deleteZjType: async (id: number) => {
    return await request.delete({ url: `/mes/zj-type/delete?id=` + id })
  },

  // 导出质量管理-检验类型 Excel
  exportZjType: async (params) => {
    return await request.download({ url: `/mes/zj-type/export-excel`, params })
  },

      // 获得检验类型列表
      getZjTypeList: async () => {
        return await request.get({ url: `/mes/zj-type/list`})
      },
}
